Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 libXi runtime library
Name: 		libXi
Version: 	1.4.0
Release: 	1
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

Source0: 	http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-proto-devel
BuildRequires:  xorg-x11-util-macros

# needed for manpages - won't build without manpages
BuildRequires:	xmlto asciidoc
BuildRequires:  libxslt-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel

%description
X.Org X11 libXi runtime library

%package devel
Summary: 	X.Org X11 libXi development package
Group: 		Development/Libraries
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3
Requires: 	%{name} = %{version}-%{release}
# required by xi.pc
Requires: 	xorg-x11-proto-devel

Obsoletes: 	xorg-devel

%description devel
X.Org X11 libXi development package

%prep
%setup -q -n %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build

%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README 
%{_libdir}/libXi.so.6
%{_libdir}/libXi.so.6.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/X11/extensions/XInput.h
%{_includedir}/X11/extensions/XInput2.h

%if %{with_static}
%{_libdir}/libXi.a
%endif
%{_libdir}/libXi.so
%{_libdir}/pkgconfig/xi.pc
%{_mandir}/man3/XAllowDeviceEvents.3.gz            
%{_mandir}/man3/XChangeDeviceControl.3.gz          
%{_mandir}/man3/XChangeDeviceDontPropagateList.3.gz
%{_mandir}/man3/XChangeDeviceKeyMapping.3.gz
%{_mandir}/man3/XChangeDeviceProperty.3.gz
%{_mandir}/man3/XChangeFeedbackControl.3.gz
%{_mandir}/man3/XChangeKeyboardDevice.3.gz
%{_mandir}/man3/XChangePointerDevice.3.gz
%{_mandir}/man3/XCloseDevice.3.gz
%{_mandir}/man3/XDeleteDeviceProperty.3.gz
%{_mandir}/man3/XDeviceBell.3.gz
%{_mandir}/man3/XDeviceTimeCoord.3.gz
%{_mandir}/man3/XFreeDeviceList.3.gz
%{_mandir}/man3/XGetDeviceButtonMapping.3.gz
%{_mandir}/man3/XGetDeviceControl.3.gz
%{_mandir}/man3/XGetDeviceDontPropagateList.3.gz
%{_mandir}/man3/XGetDeviceFocus.3.gz
%{_mandir}/man3/XGetDeviceKeyMapping.3.gz
%{_mandir}/man3/XGetDeviceModifierMapping.3.gz
%{_mandir}/man3/XGetDeviceMotionEvents.3.gz
%{_mandir}/man3/XGetDeviceProperty.3.gz
%{_mandir}/man3/XGetExtensionVersion.3.gz
%{_mandir}/man3/XGetFeedbackControl.3.gz
%{_mandir}/man3/XGetSelectedExtensionEvents.3.gz
%{_mandir}/man3/XGrabDevice.3.gz
%{_mandir}/man3/XGrabDeviceButton.3.gz
%{_mandir}/man3/XGrabDeviceKey.3.gz
%{_mandir}/man3/XIChangeHierarchy.3.gz
%{_mandir}/man3/XIChangeProperty.3.gz
%{_mandir}/man3/XIDefineCursor.3.gz
%{_mandir}/man3/XIDeleteProperty.3.gz
%{_mandir}/man3/XIFreeDeviceInfo.3.gz
%{_mandir}/man3/XIGetClientPointer.3.gz
%{_mandir}/man3/XIGetFocus.3.gz
%{_mandir}/man3/XIGetProperty.3.gz
%{_mandir}/man3/XIGetSelectedEvents.3.gz
%{_mandir}/man3/XIGrabButton.3.gz
%{_mandir}/man3/XIGrabDevice.3.gz
%{_mandir}/man3/XIGrabEnter.3.gz
%{_mandir}/man3/XIGrabFocusIn.3.gz
%{_mandir}/man3/XIGrabKeycode.3.gz
%{_mandir}/man3/XIListProperties.3.gz
%{_mandir}/man3/XIQueryDevice.3.gz
%{_mandir}/man3/XIQueryPointer.3.gz
%{_mandir}/man3/XIQueryVersion.3.gz
%{_mandir}/man3/XISelectEvents.3.gz
%{_mandir}/man3/XISetClientPointer.3.gz
%{_mandir}/man3/XISetFocus.3.gz
%{_mandir}/man3/XIUndefineCursor.3.gz
%{_mandir}/man3/XIUngrabButton.3.gz
%{_mandir}/man3/XIUngrabDevice.3.gz
%{_mandir}/man3/XIUngrabEnter.3.gz
%{_mandir}/man3/XIUngrabFocusIn.3.gz
%{_mandir}/man3/XIUngrabKeycode.3.gz
%{_mandir}/man3/XIWarpPointer.3.gz
%{_mandir}/man3/XListDeviceProperties.3.gz
%{_mandir}/man3/XListInputDevices.3.gz
%{_mandir}/man3/XOpenDevice.3.gz
%{_mandir}/man3/XQueryDeviceState.3.gz
%{_mandir}/man3/XSelectExtensionEvent.3.gz
%{_mandir}/man3/XSendExtensionEvent.3.gz
%{_mandir}/man3/XSetDeviceButtonMapping.3.gz
%{_mandir}/man3/XSetDeviceFocus.3.gz
%{_mandir}/man3/XSetDeviceMode.3.gz
%{_mandir}/man3/XSetDeviceModifierMapping.3.gz
%{_mandir}/man3/XSetDeviceValuators.3.gz
%{_mandir}/man3/XUngrabDevice.3.gz
%{_mandir}/man3/XUngrabDeviceButton.3.gz
%{_mandir}/man3/XUngrabDeviceKey.3.gz
%{_docdir}/libXi/doc/porting.html
%{_docdir}/libXi/doc/porting.xml
%{_docdir}/libXi/specs/encoding.xml
%{_docdir}/libXi/specs/inputlib.html
%{_docdir}/libXi/specs/inputlib.xml
%{_docdir}/libXi/specs/library.xml

%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.4.0-1
- version update
* Fri Aug 13 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.3.2-1
- version update
* Mon Oct 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.3-1
- version update
* Wed Jun 24 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.2.99.1-3
- rebuilt against xorg-x11-proto-7.4-10 (inputproto 1.9.99.12)
* Tue Jun 16 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.2.99.1-2
- git 20090616 master branch
* Wed May 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.2.99.1-1
- Version update
- git 20090527 git://people.freedesktop.org/~whot/libXi.git xi2 branch
* Fri May 21 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.2.1-2
- rebuilt
* Fri Feb 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.2.1-1
- Version update
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.1.3-2
- Rebuild against new xserver 1.5.0
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.3-1
- Version update
* Wed Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.4-1
- Version update
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-1
- Version update
* Sun Jul 02 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.1-1
- Initial release
